### Method

# Json Reader count_elements

#### Declaration [src]

    gint
    json_reader_count_elements (
      JsonReader* reader
    )

#### Description [src]

Counts the elements of the current position, if the reader is positioned on an array.

In case of failure, the reader is set to an error state.

Available since: | 0.12

#### Return value

Returns: | `gint`
| The number of elements, or -1.